Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357283 (obconf-qt) - Review Request: obconf-qt - A configuration editor for the OpenBox window manager
Summary: Review Request: obconf-qt - A configuration editor for the OpenBox window man...
Keywords:
Status: CLOSED ERRATA
Alias: obconf-qt
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: Trivial
Depends On:
Blocks: qt-reviews LXQt
TreeView+ depends on / blocked
 
Reported: 2016-07-17 17:29 UTC by Christian Dersch
Modified: 2016-10-21 15:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-07 08:24:37 UTC
besser82: fedora-review+


Attachments (Terms of Use)

Description Christian Dersch 2016-07-17 17:29:40 UTC
Spec URL: https://lupinix.fedorapeople.org/review/obconf-qt.spec
SRPM URL: https://lupinix.fedorapeople.org/review/obconf-qt-0.9.0-1.fc24.src.rpm

Description: A configuration editor for the OpenBox window manager

Fedora Account System Username: lupinix

Koji build (rawhide): http://koji.fedoraproject.org/koji/taskinfo?taskID=14929324

Thank you very much for review in advance :)

Comment 1 Raphael Groner 2016-07-17 17:46:46 UTC
Thanks for working on this!

Comment 2 Christian Dersch 2016-07-17 17:56:49 UTC
Some small cosmetic fixes done in place, new Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=14929459

Comment 3 Christian Dersch 2016-07-17 21:32:49 UTC
Another small fix (forgot to own /usr/share/obconf-qt), new Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=14930436

Comment 4 Mario Blättermann 2016-07-18 07:47:03 UTC
Please provide always new files, even after cosmetic changes. Scratch builds on Koji get lost after two weeks, and reviewers cannot use fedora-review without direct download locations.

Comment 5 Christian Dersch 2016-07-18 07:57:25 UTC
Before the request is assigned I just replace the files listed in first comment ;) So the links are still valid.

Comment 6 Mario Blättermann 2016-07-18 19:09:11 UTC
$ rpmlint -i -v *
obconf-qt.armv7hl: I: checking
obconf-qt.armv7hl: I: checking-url https://github.com/lxde/obconf-qt (timeout 10 seconds)
obconf-qt.armv7hl: E: incorrect-fsf-address /usr/share/licenses/obconf-qt/COPYING
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

obconf-qt.armv7hl: W: no-manual-page-for-binary obconf-qt
Each executable in standard binary directories should have a man page.

obconf-qt.i686: I: checking
obconf-qt.i686: I: checking-url https://github.com/lxde/obconf-qt (timeout 10 seconds)
obconf-qt.i686: E: incorrect-fsf-address /usr/share/licenses/obconf-qt/COPYING
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

obconf-qt.i686: W: no-manual-page-for-binary obconf-qt
Each executable in standard binary directories should have a man page.

obconf-qt.src: I: checking
obconf-qt.src: I: checking-url https://github.com/lxde/obconf-qt (timeout 10 seconds)
obconf-qt.src: I: checking-url https://github.com/lxde/obconf-qt/archive/0.9.0.tar.gz#/obconf-qt-0.9.0.tar.gz (timeout 10 seconds)
obconf-qt.x86_64: I: checking
obconf-qt.x86_64: I: checking-url https://github.com/lxde/obconf-qt (timeout 10 seconds)
obconf-qt.x86_64: E: incorrect-fsf-address /usr/share/licenses/obconf-qt/COPYING
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

obconf-qt.x86_64: W: no-manual-page-for-binary obconf-qt
Each executable in standard binary directories should have a man page.

obconf-qt-debuginfo.armv7hl: I: checking
obconf-qt-debuginfo.armv7hl: I: checking-url https://github.com/lxde/obconf-qt (timeout 10 seconds)
obconf-qt-debuginfo.armv7hl: E: debuginfo-without-sources
This debuginfo package appears to contain debug symbols but no source files.
This is often a sign of binaries being unexpectedly stripped too early during
the build, or being compiled without compiler debug flags (which again often
is a sign of distro's default compiler flags ignored which might have security
consequences), or other compiler flags which result in rpmbuild's debuginfo
extraction not working as expected.  Verify that the binaries are not
unexpectedly stripped and that the intended compiler flags are used.

obconf-qt-debuginfo.i686: I: checking
obconf-qt-debuginfo.i686: I: checking-url https://github.com/lxde/obconf-qt (timeout 10 seconds)
obconf-qt-debuginfo.i686: E: debuginfo-without-sources
This debuginfo package appears to contain debug symbols but no source files.
This is often a sign of binaries being unexpectedly stripped too early during
the build, or being compiled without compiler debug flags (which again often
is a sign of distro's default compiler flags ignored which might have security
consequences), or other compiler flags which result in rpmbuild's debuginfo
extraction not working as expected.  Verify that the binaries are not
unexpectedly stripped and that the intended compiler flags are used.

obconf-qt-debuginfo.x86_64: I: checking
obconf-qt-debuginfo.x86_64: I: checking-url https://github.com/lxde/obconf-qt (timeout 10 seconds)
obconf-qt-debuginfo.x86_64: E: debuginfo-without-sources
This debuginfo package appears to contain debug symbols but no source files.
This is often a sign of binaries being unexpectedly stripped too early during
the build, or being compiled without compiler debug flags (which again often
is a sign of distro's default compiler flags ignored which might have security
consequences), or other compiler flags which result in rpmbuild's debuginfo
extraction not working as expected.  Verify that the binaries are not
unexpectedly stripped and that the intended compiler flags are used.

7 packages and 0 specfiles checked; 6 errors, 3 warnings.


There are some warnings about incorrect FSF addresses, those needs to be filed a s an upstream bug. But no blockers for now. Same for the missing man page.

But an empty debuginfo package needs to be taken seriously. I don't know that much about the special behavior of cmake in this case, but mostly adding CXXFLAGS="%{optflags}" to the "make" call helps.

Comment 7 Christian Dersch 2016-07-18 20:57:48 UTC
Thank you very much for your comments :)

* -debuginfo indeed broken, I fixed the cmake configuration to use Fedora compiler flags (patch obconf-qt-0.9.0-fix-debuginfo.patch)
* The wrong FSF address is already fixed in upstream git: https://github.com/lxde/obconf-qt/commit/47c1b3f6d156df769d353fe8d766b32b382a240a
* I'll request a manpage upstream

Spec URL: https://lupinix.fedorapeople.org/review/obconf-qt.spec
SRPM URL: https://lupinix.fedorapeople.org/review/obconf-qt-0.9.0-2.fc24.src.rpm

Comment 8 Christian Dersch 2016-07-18 21:02:19 UTC
Koji build (rawhide): http://koji.fedoraproject.org/koji/taskinfo?taskID=14936701

Comment 9 Raphael Groner 2016-07-20 09:53:07 UTC
(In reply to Christian Dersch from comment #7)
.…
> * I'll request a manpage upstream

Is there any *useful* output to console for options -h or --help? You could use help2man to generate a manpage from that help output.
Although, obconf-qt is a GUI application in first place and can be expected to get called in a graphical desktop environment, so no need to provide a manpage.

Comment 10 Mario Blättermann 2016-07-20 20:53:37 UTC
Regarding the need of a man page, just have a look at the appropriate Debian package (if available). The Debian folks gently forces packagers to provide man pages in many cases, especially for pure command line tools. But the obconf-qt package in Debian doesn't contain a man page, that's why I assume we don't need to bother with it. Moreover, usually GUI software mostly doesn't have recognizable command line options, so its not worth the effort.

Comment 11 Björn 'besser82' Esser 2016-09-27 19:22:26 UTC
Taken  =)

Comment 12 Björn 'besser82' Esser 2016-09-27 19:33:58 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later)", "Unknown or generated". 33 files have
     unknown license. Detailed output of licensecheck in
     /home/besser82/shared/fedora/newpkg/1357283-obconf-qt/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in obconf-qt
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in obconf-
     qt-debuginfo

     ---> debuginfo is autogenerated by rpmbuild.

[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.

     ---> patch is to get useful debuginfo.

[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: obconf-qt-0.9.0-2.fc26.x86_64.rpm
          obconf-qt-debuginfo-0.9.0-2.fc26.x86_64.rpm
          obconf-qt-0.9.0-2.fc26.src.rpm
obconf-qt.x86_64: E: incorrect-fsf-address /usr/share/licenses/obconf-qt/COPYING
obconf-qt.x86_64: W: no-manual-page-for-binary obconf-qt
3 packages and 0 specfiles checked; 1 errors, 1 warnings.




Rpmlint (debuginfo)
-------------------
Checking: obconf-qt-debuginfo-0.9.0-2.fc26.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
obconf-qt.x86_64: E: incorrect-fsf-address /usr/share/licenses/obconf-qt/COPYING
obconf-qt.x86_64: W: no-manual-page-for-binary obconf-qt
2 packages and 0 specfiles checked; 1 errors, 1 warnings.



Requires
--------
obconf-qt (rpmlib, GLIBC filtered):
    /bin/sh
    hicolor-icon-theme
    libICE.so.6()(64bit)
    libImlib2.so.1()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.7)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libQt5X11Extras.so.5()(64bit)
    libQt5X11Extras.so.5(Qt_5)(64bit)
    libSM.so.6()(64bit)
    libX11.so.6()(64bit)
    libXft.so.2()(64bit)
    libc.so.6()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libm.so.6()(64bit)
    libobrender.so.32()(64bit)
    libobt.so.2()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    libpangoxft-1.0.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libxml2.so.2()(64bit)
    libxml2.so.2(LIBXML2_2.4.30)(64bit)
    libxml2.so.2(LIBXML2_2.6.0)(64bit)
    openbox
    rtld(GNU_HASH)

obconf-qt-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
obconf-qt:
    application()
    application(obconf-qt.desktop)
    obconf-qt
    obconf-qt(x86-64)

obconf-qt-debuginfo:
    obconf-qt-debuginfo
    obconf-qt-debuginfo(x86-64)



Source checksums
----------------
https://github.com/lxde/obconf-qt/archive/0.9.0.tar.gz#/obconf-qt-0.9.0.tar.gz :
  CHECKSUM(SHA256) this package     : 69d4629cad819c11446ce9971bf9cd262d2066dab16052f16ca5e859525817d5
  CHECKSUM(SHA256) upstream package : 69d4629cad819c11446ce9971bf9cd262d2066dab16052f16ca5e859525817d5


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1357283
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


===== Solution =====

AUTHORS should be moved to %license and you can pick up README in %doc.  Those minor changes can be done during import.

Package APPROVED !!!

Comment 13 Christian Dersch 2016-09-27 19:35:46 UTC
Thank you :)

Comment 14 Gwyn Ciesla 2016-09-27 21:25:14 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/obconf-qt

Comment 15 Fedora Update System 2016-09-28 20:52:28 UTC
obconf-qt-0.11.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-327af04953

Comment 16 Fedora Update System 2016-09-29 01:19:36 UTC
obconf-qt-0.11.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d3d78b1f9e

Comment 17 Fedora Update System 2016-09-29 01:52:38 UTC
obconf-qt-0.11.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9542819fdd

Comment 18 Fedora Update System 2016-09-29 02:49:53 UTC
obconf-qt-0.11.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-907c9f843e

Comment 19 Fedora Update System 2016-10-07 08:24:37 UTC
obconf-qt-0.11.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2016-10-08 19:48:13 UTC
obconf-qt-0.11.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2016-10-09 02:48:27 UTC
obconf-qt-0.11.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2016-10-21 15:53:31 UTC
obconf-qt-0.11.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.